Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl.beid.impl
Class BeIDConnectorGuiSwing

    java.lang.Object
      be.fedict.commons.eid.dialogs.DefaultBeIDCardUI
          be.ehealth.technicalconnector.service.sts.security.impl.beid.impl.BeIDConnectorGuiSwing

All Implemented Interfaces:
  BeIDConnectorGui, be.fedict.commons.eid.client.spi.BeIDCardUI

    public class BeIDConnectorGuiSwing

extends be.fedict.commons.eid.dialogs.DefaultBeIDCardUI
implements BeIDConnectorGui

Connector implementation of a BeIDCardUI to interact with the user from a BeIDCard instance. Implementation of `BeIDConnectorGui`

Field Summary

Fields inherited from class be.fedict.commons.eid.dialogs.DefaultBeIDCardUI
`MAX_PIN_SIZE, MIN_PIN_SIZE, PUK_SIZE`

Constructor Summary
`BeIDConnectorGuiSwing()`

Method Summary
`void` | `advisePINPadPINEntry(int retriesLeft, be.fedict.commons.eid.client.PINPurpose purpose)`
`char[]` | `obtainPIN(int retriesLeft, be.fedict.commons.eid.client.PINPurpose reason)`

Methods inherited from class be.fedict.commons.eid.dialogs.DefaultBeIDCardUI
`advisePINBlocked, advisePINChanged, advisePINPadChangePIN, advisePINPadNewPINEntry, advisePINPadNewPINEntryAgain, advisePINPadOldPINEntry, advisePINPadOperationEnd, advisePINPadPINEntry, advisePINPadPUKEntry, advisePINUnblocked, adviseSecureReaderOperation, adviseSecureReaderOperationEnd, getLocale, obtainOldAndNewPIN, obtainPIN, obtainPUKCodes, setLocale`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.impl.beid.BeIDConnectorGui
`advisePINBlocked, advisePINChanged, advisePINPadChangePIN, advisePINPadNewPINEntry, advisePINPadNewPINEntryAgain, advisePINPadOldPINEntry, advisePINPadOperationEnd, advisePINPadPINEntry, advisePINPadPUKEntry, advisePINUnblocked, adviseSecureReaderOperation, adviseSecureReaderOperationEnd, obtainOldAndNewPIN, obtainPIN, obtainPUKCodes`

Methods inherited from interface be.fedict.commons.eid.client.spi.BeIDCardUI
`getLocale, setLocale`

Constructor Detail

### BeIDConnectorGuiSwing

    public BeIDConnectorGuiSwing()

Method Detail

### advisePINPadPINEntry

    public void advisePINPadPINEntry(int retriesLeft,
                                     be.fedict.commons.eid.client.PINPurpose purpose)

  Specified by:
    `advisePINPadPINEntry` in interface `BeIDConnectorGui`

### obtainPIN

    public char[] obtainPIN(int retriesLeft,
                            be.fedict.commons.eid.client.PINPurpose reason)
                     throws be.fedict.commons.eid.client.spi.UserCancelledException

  Specified by:
    `obtainPIN` in interface `BeIDConnectorGui`
  Throws:
    `be.fedict.commons.eid.client.spi.UserCancelledException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.